GET_SELECTION(1)

NAME
get_selection - copy the contents of a SunView selection to the standard output

SYNOPSIS
get_selection [ rank ] [ t seconds ] [ D ]

AVAILABILITY
This command is available with the SunView User's software installation option. Refer to for information on how to install optional software.

DESCRIPTION

get_selection prints the contents of the indicated selection on standard out. A selection is a collection of objects (for instance, characters) picked with the mouse in the SunView window system.

OPTIONS

rank
    Indicate which selection is to be printed:
    1:  primary;
    2:  secondary;
    3:  clipboard.

    The default is primary.

t  seconds
    Indicate how many seconds to wait for the holder of a selection to respond to a request before giving up. The default is 6 seconds.

D   Debugging. Inquire through a special debugging service for the selection, rather than accessing the standard service. Useful only for debugging window applications which are clients of the selection library.

EXAMPLE

The following line in a SunView root menu file provides a menu command to print the primary selection on the user's default printer:

    ``Print It''      sh  -c get_selection | lpr

SEE ALSO